services:
  plugin.manager.domain_group_settings:
    class: Drupal\domain_group\Plugin\DomainGroupSettingsManager
    parent: default_plugin_manager
  domain_group.event_subscriber:
    class: Drupal\domain_group\EventSubscriber\LoginPageRedirect
    arguments: ['@domain.negotiator', '@entity_type.manager', '@current_user', '@current_route_match', '@config.factory']
    tags:
      - {name: event_subscriber}
